<?php

namespace Slack\Models;

use App\Models\Slack\Team as AppTeam;

use Illuminate\Database\Eloquent\Model;
use Slack\Traits\ScopeActive;

class Enterprise extends Model
{
	use ScopeActive;

	protected $fillable = ['enterprise_id'];

	/* RELATIONS */

	public function teams()
	{
		return $this->hasMany(class_exists(AppTeam::class) ? AppTeam::class : Team::class);
	}
}